-- ATTENTION
-- Ce script doit être exécuter sur 1 User qui a le rôle de DBA (ex.: User GRHUM)
-- USER SQL


--
-- Patch DBA de SCO_SCOLARITE du 02/10/2013 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;
--
--
-- Fichier : 3/3
-- Type : DML
-- Schema : SCO_SCOLARITE
-- Numero de version : 1.0.0.10
-- Date de publication : 02/10/2013
-- Auteur(s) : Association Cocktail
--
--
WHENEVER SQLERROR EXIT SQL.SQLCODE;

-- TABLE SCO_SCOLARITE.GD_STRATEGIE_DEF_PERIMETRE
INSERT INTO SCO_SCOLARITE.GD_STRATEGIE_DEF_PERIMETRE(ID_GD_STRATEGIE_DEF_PERIMETRE, CODE, LIBELLE) VALUES (SCO_SCOLARITE.GD_STRATEGIE_DEF_PERIMETRE_SEQ.nextval, 'ACCES_FORMATION', 'Accès à une formation');
INSERT INTO SCO_SCOLARITE.GD_STRATEGIE_DEF_PERIMETRE(ID_GD_STRATEGIE_DEF_PERIMETRE, CODE, LIBELLE) VALUES (SCO_SCOLARITE.GD_STRATEGIE_DEF_PERIMETRE_SEQ.nextval, 'ACCES_ELEMENTS_FORMATION', 'Accès aux éléments d''une formation');
INSERT INTO SCO_SCOLARITE.GD_STRATEGIE_DEF_PERIMETRE(ID_GD_STRATEGIE_DEF_PERIMETRE, CODE, LIBELLE) VALUES (SCO_SCOLARITE.GD_STRATEGIE_DEF_PERIMETRE_SEQ.nextval, 'ACCES_ELEMENT', 'Accès à un élément');
INSERT INTO SCO_SCOLARITE.GD_STRATEGIE_DEF_PERIMETRE(ID_GD_STRATEGIE_DEF_PERIMETRE, CODE, LIBELLE) VALUES (SCO_SCOLARITE.GD_STRATEGIE_DEF_PERIMETRE_SEQ.nextval, 'ACCES_FORMATIONS_COMPOSANTE', 'Accès aux formations d''une composante');
INSERT INTO SCO_SCOLARITE.GD_STRATEGIE_DEF_PERIMETRE(ID_GD_STRATEGIE_DEF_PERIMETRE, CODE, LIBELLE) VALUES (SCO_SCOLARITE.GD_STRATEGIE_DEF_PERIMETRE_SEQ.nextval, 'ACCES_FORMATIONS_COMPOSANTE_USER', 'Accès aux formations de la composante de l''utilisateur');
INSERT INTO SCO_SCOLARITE.GD_STRATEGIE_DEF_PERIMETRE(ID_GD_STRATEGIE_DEF_PERIMETRE, CODE, LIBELLE) VALUES (SCO_SCOLARITE.GD_STRATEGIE_DEF_PERIMETRE_SEQ.nextval, 'ACCES_ELEMENTS_FORMATION_USER_RESP', 'Accès aux élements de la maquette de formation dont l''utilisateur est responsable');
INSERT INTO SCO_SCOLARITE.GD_STRATEGIE_DEF_PERIMETRE(ID_GD_STRATEGIE_DEF_PERIMETRE, CODE, LIBELLE) VALUES (SCO_SCOLARITE.GD_STRATEGIE_DEF_PERIMETRE_SEQ.nextval, 'ACCES_GRADE', 'Accès à un grade');

--DB_VERSION 
INSERT INTO SCO_SCOLARITE.DB_VERSION(DBV_ID,DBV_LIBELLE,DBV_DATE,DBV_INSTALL,DBV_COMMENT) VALUES(SCO_SCOLARITE.DB_VERSION_SEQ.NEXTVAL,'1.0.0.10',to_date('02/10/2013','DD/MM/YYYY'),sysdate,'Gestion des droits');

commit;

